Subject: RE: [Q]Windows PATH is not working..
From: Bernard Dautrevaux <[email-masked]>
To: "'S.B.(SangBum) LEE'" <[email-masked]>, Pavel Tsekov <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Jan 2002 11:04:14 +0100

> -----Original Message-----
> From: S.B.(SangBum) LEE [mailto:[email-masked]]
> Sent: Thursday, January 10, 2002 2:04 AM
> To: Pavel Tsekov
> Cc: [email-masked]
> Subject: Re: [Q]Windows PATH is not working..
> 
> 
> Is there anybody doing OK with Windows path? Cygwin 
> documentation says:
> 
> Cygwin supports both Win32- and POSIX-style paths, where 
> directory delimiters may be either forward or back slashes. UNC
> 
> pathnames (starting with two slashes and a network name) are 
> also supported.
> 
> I have a collegue who has no problem with doing as below. 
> However I can't find any of differences regarding installation
> 
> between me & him. That's why I raised this question.
> 
> Please let me know if you have anything you have in mind.. I 
> have to develop a program using Windows path.

I must say I'm a bit puzzled; I never look at it, but WIN32 path work very
well for arguments to programs but, I just test it now, they don't work for
executables in bash ;-(

Just a small test:

~> c:\\WINNT\\system32\\notepad.exe
bash: c:\WINNT\system32\notepad.exe: command not found
~> c:\\WINNT\\system32\\notepad
bash: c:\WINNT\system32\notepad: command not found
~> ls -l c:\\WINNT\\system32\\notepad.exe
-rwxr-xr-x    1 Administ Aucun       46352 Nov  6  1996
c:\WINNT\system32\notepad.exe
~> notepad
~> mount
C:\bin on /usr/bin type system (binmode)
C:\lib on /usr/lib type system (binmode)
C: on / type system (binmode)

As can be seen my install is a little bit unusual (due to the need to mix
win32-native tools and cygwin tools without bothering too much with path
names) as I installed cygwin in the root of C:, but apart from that its
quite standard. 

However I don't have a clue to why this doesn't work.

	Bernard

PS: here is a cygcheck run:

~> cygcheck -s -r

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Thu Jan 10 11:14:02 2002

Windows NT Ver 4.0 Build 1381 Service Pack 4

Path:   C:\usr\local\bin
        C:\bin
        C:\bin
        t:\V3\DD\bin.NT
        C:\LOCAL\gCVS-1.9-pc
        C:\WINNT\SYSTEM32
        C:\WINNT
        C:\bin
        C:\program files\devstudio\sharedide\bin\ide
        C:\program files\devstudio\sharedide\bin
        C:\program files\devstudio\vc\bin
        C:\VisualGIPSY25\bin

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

HOME = `C:\cygwin'
MAKE_MODE = `unix'
PWD = `/cygwin'
USER = `Administrateur'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
  (default) = `C:'
  unix = `/'
  fbinary = 0x00000000
  fsilent = 0x00000000
HKEY_CURRENT_USER\Software\FTP Explorer\Profiles\Cygnus
  (default) = `sourceware.cygnus.com'
  Login = `anonymous'
  InitialPath = `/pub'
  AnonLogin = 0x00000001
  CacheData = 0x00000000
  DownloadPath = `D:\FTP'
  Description = `Cygnus Sourceware'
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrd
er\Start Menu\&Programs\
Cygnus Solutions
  (default) = (unsupported type)
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrd
er\Start Menu\Progra&mme
s\Cygnus Solutions
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrd
er\Start Menu\Progra&mme
s\Cygnus Solutions\Menu
  (default) = (unsupported type)
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `C:/'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `C:/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `C:/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options

a:  fd           N/A    N/A
c:  hd  NTFS    4008Mb  88% CP CS UN PA FC
d:  hd  NTFS    4000Mb  99% CP CS UN PA FC
e:  net NTFS    2667Mb  50% CP CS UN PA FC
g:  net NTFS    2667Mb  50% CP CS UN PA FC
h:  net NTFS   13782Mb  89% CP CS UN PA FC     Datas
l:  net Samba   4063Mb  25% CP    UN           Baseline
p:  net Samba   4063Mb  39% CP    UN           Releases
r:  net Samba   4063Mb  25% CP    UN           Repository
s:  net Samba   4063Mb  39% CP    UN           SoftWorks
t:  net Samba   4063Mb  39% CP    UN           Targets
u:  net Samba   4063Mb  57% CP    UN           Users
x:  net NTFS     996Mb 100% CP CS UN PA FC     Technique
y:  net Samba   4063Mb  57% CP    UN           SoftWrks
z:  cd           N/A    N/A

.       /cygdrive  user    binmode,noumount
C:/     /          system  binmode
C:/bin  /usr/bin   system  binmode
C:/lib  /usr/lib   system  binmode

Found: C:\bin\bash.exe
Found: \bin\bash.exe
Found: C:\bin\cat.exe
Found: \bin\cat.exe
Found: C:\bin\cpp.exe
Found: t:\V3\DD\bin.NT\cpp.exe
Found: \bin\cpp.exe
Found: C:\bin\find.exe
Found: \bin\find.exe
Found: C:\bin\gcc.exe
Found: t:\V3\DD\bin.NT\gcc.exe
Found: \bin\gcc.exe
Found: C:\bin\gdb.exe
Found: \bin\gdb.exe
Found: C:\bin\ld.exe
Found: \bin\ld.exe
Found: C:\bin\ls.exe
Found: \bin\ls.exe
Found: C:\bin\make.exe
Found: \bin\make.exe
Found: C:\bin\sh.exe
Found: \bin\sh.exe

   56k 2000/12/03 C:\bin\cygbz21.0.dll
  821k 2001/11/19 C:\bin\cygcrypto.dll
   99k 2001/11/20 C:\bin\cygcurl-2.dll
   45k 2001/04/25 C:\bin\cygform5.dll
   34k 2001/09/30 C:\bin\cygform6.dll
   18k 2000/10/23 C:\bin\cyggdbm.dll
   17k 2001/06/28 C:\bin\cyghistory4.dll
   21k 2001/06/28 C:\bin\cyghistory5.dll
   21k 2001/06/20 C:\bin\cygintl.dll
   81k 2001/10/20 C:\bin\cygitcl30.dll
   35k 2001/10/20 C:\bin\cygitk30.dll
   45k 2001/07/04 C:\bin\cygjbig1.dll
  119k 2001/06/06 C:\bin\cygjpeg6b.dll
   26k 2001/04/25 C:\bin\cygmenu5.dll
   19k 2001/09/30 C:\bin\cygmenu6.dll
  156k 2001/04/25 C:\bin\cygncurses++5.dll
  175k 2001/09/30 C:\bin\cygncurses++6.dll
  226k 2001/04/25 C:\bin\cygncurses5.dll
  201k 2001/09/30 C:\bin\cygncurses6.dll
   15k 2001/04/25 C:\bin\cygpanel5.dll
   12k 2001/09/30 C:\bin\cygpanel6.dll
   40k 2001/11/21 C:\bin\cygpcre.dll
   39k 2001/11/21 C:\bin\cygpcreposix.dll
  163k 2001/05/06 C:\bin\cygpng2.dll
  108k 2001/06/28 C:\bin\cygreadline4.dll
  135k 2001/06/28 C:\bin\cygreadline5.dll
   66k 2001/11/20 C:\bin\cygregex.dll
  231k 2001/11/19 C:\bin\cygssl.dll
  390k 2001/10/20 C:\bin\cygtcl80.dll
    5k 2001/10/20 C:\bin\cygtclpip80.dll
   10k 2001/10/20 C:\bin\cygtclreg80.dll
  245k 2001/06/12 C:\bin\cygtiff3.dll
  623k 2001/10/20 C:\bin\cygtk80.dll
   41k 2001/07/04 C:\bin\cygXpm-noX4.dll
   45k 2001/07/04 C:\bin\cygXpm-X4.dll
   49k 2001/02/03 C:\bin\cygz.dll
  720k 2001/12/08 C:\bin\cygwin1.dll
    Cygwin DLL version info:
        DLL version: 1.3.6
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 47
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix:
        Build date: Sat Dec 8 17:02:30 EST 2001
        CVS tag: cygwin-1-3-6-6
        Shared id: cygwin1S3

   56k 2000/12/03 \bin\cygbz21.0.dll
  821k 2001/11/19 \bin\cygcrypto.dll
   99k 2001/11/20 \bin\cygcurl-2.dll
   45k 2001/04/25 \bin\cygform5.dll
   34k 2001/09/30 \bin\cygform6.dll
   18k 2000/10/23 \bin\cyggdbm.dll
   17k 2001/06/28 \bin\cyghistory4.dll
   21k 2001/06/28 \bin\cyghistory5.dll
   21k 2001/06/20 \bin\cygintl.dll
   81k 2001/10/20 \bin\cygitcl30.dll
   35k 2001/10/20 \bin\cygitk30.dll
   45k 2001/07/04 \bin\cygjbig1.dll
  119k 2001/06/06 \bin\cygjpeg6b.dll
   26k 2001/04/25 \bin\cygmenu5.dll
   19k 2001/09/30 \bin\cygmenu6.dll
  156k 2001/04/25 \bin\cygncurses++5.dll
  175k 2001/09/30 \bin\cygncurses++6.dll
  226k 2001/04/25 \bin\cygncurses5.dll
  201k 2001/09/30 \bin\cygncurses6.dll
   15k 2001/04/25 \bin\cygpanel5.dll
   12k 2001/09/30 \bin\cygpanel6.dll
   40k 2001/11/21 \bin\cygpcre.dll
   39k 2001/11/21 \bin\cygpcreposix.dll
  163k 2001/05/06 \bin\cygpng2.dll
  108k 2001/06/28 \bin\cygreadline4.dll
  135k 2001/06/28 \bin\cygreadline5.dll
   66k 2001/11/20 \bin\cygregex.dll
  231k 2001/11/19 \bin\cygssl.dll
  390k 2001/10/20 \bin\cygtcl80.dll
    5k 2001/10/20 \bin\cygtclpip80.dll
   10k 2001/10/20 \bin\cygtclreg80.dll
  245k 2001/06/12 \bin\cygtiff3.dll
  623k 2001/10/20 \bin\cygtk80.dll
   41k 2001/07/04 \bin\cygXpm-noX4.dll
   45k 2001/07/04 \bin\cygXpm-X4.dll
   49k 2001/02/03 \bin\cygz.dll
  720k 2001/12/08 \bin\cygwin1.dll
    Cygwin DLL version info:
        DLL version: 1.3.6
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 47
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix:
        Build date: Sat Dec 8 17:02:30 EST 2001
        CVS tag: cygwin-1-3-6-6
        Shared id: cygwin1S3

Cygwin Package Information
Package             Version
ash                 20011018-1
autoconf            2.52-5
autoconf-devel      2.52-4
autoconf-stable     2.13-4
automake            1.5a-1
automake-devel      1.5-5
automake-stable     1.4p5-5
bash                2.05a-2
binutils            20011002-1
bison               1.28-1
byacc               0.0
bzip2               1.0.1-6
clear               1.0
cpio                2.4.2
cron                3.0.1-5
crypt               1.0-1
ctags               5.0.1-1
curl                7.9.1-2
cvs                 1.11.0-1
cygrunsrv           0.94-2
cygutils            0.9.7-1
cygwin              1.3.6-6
dejagnu             20010117-1
diff                0.0
expect              20010117-1
file                3.33-1
fileutils           4.1-1
findutils           4.1
flex                2.5.4-1
gawk                3.0.4-1
gcc                 2.95.3-5
gdb                 20010428-3
gdbm                1.8.0-3
gettext             0.10.38-2
ghostscript         6.51-1
gperf               0.0
grep                2.4.2-1
groff               1.17.2-1
gzip                1.3.2-1
indent              2.2.6-2
inetutils           1.3.2-16
irc                 20010101-1
jbigkit             1.2-4
jpeg                6b-4
less                358-3
libncurses5         5.2-1
libncurses6         5.2-2
libpng              1.0.11-1
login               1.4-2
lynx                2.8.4-1
m4                  0.0
make                3.79.1-5
man                 1.5g-2
mingw               20010917-1
mingw-runtime       1.2-1
mktemp              1.4-1
mt                  2.0.1-1
mutt                1.2.5i-6
nano                1.0.6-1
ncftp               3.0.2-2
ncurses             5.2-7
newlib-man          20001118-1
opengl              1.1.0-5
openssh             3.0.2p1-1
openssl             0.9.6b-2
patch               2.5-2
pcre                3.7-1
perl                5.6.1-2
popt                1.6.2-1
postgresql          7.1.3-1
python              2.1.1-2
readline            4.2-3
regex               4.4-2
rsync               2.4.6-3
rxvt                2.7.2-6
sed                 3.02-1
sh-utils            2.0-2
sharutils           4.2.1-1
shellutils          0.0
shutdown            1.2-2
squid               2.4-STABLE20010508
ssmtp               2.38.7-3
tar                 1.13.19-1
tcltk               20001125-1
tcsh                6.10.00-3
termcap             20010825-1
terminfo            5.2-1
tetex-beta          20001218-1
texinfo             4.0-5
textutils           2.0.16-1
tiff                3.5.6beta-2
time                1.7-1
unzip               5.41-1
vim                 6.0.93-1
w32api              1.2-1
wget                1.7-1
which               1.5-1
xpm                 4.0.0-2
xpm-nox             4.1.0-1
zip                 2.3-1
zlib                1.1.3-6

Use -h to see help about each section
~>

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/